System.Web 2.0.0.0 System.Object

Page developers and control authors do not use the class. ASP.NET developer tool and designer builders use the class in conjunction with the class and the interface to apply themes and their respective control skins to controls at design time.

The class encapsulates the information needed to apply a theme or style sheet theme and its control skins to the child controls of a control in a designer.

Provides a class that encapsulates theme and style sheet information for controls in a designer environment.

- Constructor

  The parameter passed to the constructor represents the concatenation of all control skins associated with the theme but is not exposed directly by the class, as this particular parameter is passed to a to retrieve a and is not otherwise used.

  Initializes a new instance of the class.

  An that represents the current designer environment.
  The name of the theme or style sheet theme that the represents. This parameter can be null.
  Theme information passed to the method. These are the raw, concatenated contents of the theme.
  The names of the cascading style sheet (CSS) files that are included with the theme that the represents.
  The absolute path of the file that contains the theme and control skin information for the named theme.
  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the hash of the theme definition passed to the constructor.

  2.0.0.0
- Property
  System.Collections.ICollection To be added.

  This property is used by designer hosts to add style sheet links to CSS files when rendering HTML to a design surface.

  Gets a set of strings that represent the names of any cascading style sheet (CSS) files associated with the current theme, if the theme is a style sheet theme.

  2.0.0.0
- Property
  System.ComponentModel.Design.IDesignerHost To be added. To be added.

  Gets an object that represents the current designer environment.

  2.0.0.0
- Method
  System.Web.UI.SkinBuilder ``

  The method is called by the base class to apply a theme and any control skin to a control when it is built at design time.

  Retrieves a instance for the specified control, which is used to apply a theme and control skin in a designer environment.

  A instance, if one is defined for the specified control type; otherwise, null.

  The control to apply a theme and control skin to. 2.0.0.0
- Method
  System.Collections.IDictionary `` To be added.

  Gets an object that contains a set of objects for the specified .

  An that contains a list of one or more objects associated with the passed to the method. This list is populated with objects where the is a , and its associated is the .

  A for which to retrieve any associated objects. 2.0.0.0
- Method
  System.Collections.ICollection ``

  The method is used by designers to populate lists of control skin names. Designers use the list to bind to user interface (UI) elements or to display design properties for a given control type.

  Gets an of skin identifiers that are associated with the specified .

  An of skin identifiers, if control skins are defined for the specified . If no control skins are associated with the type, an empty is returned.

  A for which to retrieve any associated skin names. 2.0.0.0
- Property
  System.String To be added.

  The property is set by the property of the constructor.

  Gets the name of the theme or style sheet theme that the instance represents.

  2.0.0.0